<!DOCTYPE html>
<html>    
    <body>
<?php 
 $a=1; 
 $b=2;
 echo "Au retour de l'appel de la fonction somme()=".somme()."<br/>";

 function somme() 
 { 
  $result = $GLOBALS["a"] + $GLOBALS["b"]; // Variables à portée globale
  echo 'Dans la fonction $a='.$GLOBALS["a"].' et $b='.$GLOBALS["b"].' result='.$result."<br/>" ;
  return $result;
 }
?>
    </body>
</html>


